Bug 882717 - [abrt] wpa_supplicant-1.0-1.fc17: Process /usr/sbin/wpa_supplicant was killed by signal 11 (SIGSEGV)
[abrt] wpa_supplicant-1.0-1.fc17: Process /usr/sbin/wpa_supplicant was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:c1ea4dd42167d9d002a806f856a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-02 16:41 EST by omar
Modified: 2013-07-31 19:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:42:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (218 bytes, text/plain)
2012-12-02 16:41 EST, omar
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-02 16:41 EST, omar
no flags Details
File: cgroup (174 bytes, text/plain)
2012-12-02 16:41 EST, omar
no flags Details
File: smolt_data (2.51 KB, text/plain)
2012-12-02 16:41 EST, omar
no flags Details
File: executable (24 bytes, text/plain)
2012-12-02 16:41 EST, omar
no flags Details
File: maps (5.14 KB, text/plain)
2012-12-02 16:41 EST, omar
no flags Details
File: build_ids (902 bytes, text/plain)
2012-12-02 16:41 EST, omar
no flags Details
File: proc_pid_status (747 bytes, text/plain)
2012-12-02 16:41 EST, omar
no flags Details
File: open_fds (453 bytes, text/plain)
2012-12-02 16:41 EST, omar
no flags Details

  None (edit)
Description omar 2012-12-02 16:41:28 EST
Version-Release number of selected component:
wpa_supplicant-1.0-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 3
cmdline:        /usr/sbin/wpa_supplicant -u -f /var/log/wpa_supplicant.log -c /etc/wpa_supplicant/wpa_supplicant.conf -u -f /var/log/wpa_supplicant.log -P /var/run/wpa_supplicant.pid
kernel:         3.6.7-4.fc17.i686

backtrace:
:[New LWP 635]
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib/libthread_db.so.1".
:Core was generated by `/usr/sbin/wpa_supplicant -u -f /var/log/wpa_supplicant.log -c /etc/wpa_supplica'.
:Program terminated with signal 11, Segmentation fault.
:#0  0xff76bbe9 in ?? ()
:
:Thread 1 (Thread 0xb772e740 (LWP 635)):
:#0  0xff76bbe9 in ?? ()
:No symbol table info available.
:#1  0x080665cc in wpa_drv_cancel_remain_on_channel (wpa_s=<optimized out>) at driver_i.h:415
:No locals.
:#2  wpas_stop_listen (ctx=0x9b8a4d8) at p2p_supplicant.c:1100
:        wpa_s = 0x9b8a4d8
:#3  0x08072208 in p2p_stop_find (p2p=p2p@entry=0x9b9b938) at ../src/p2p/p2p.c:1064
:No locals.
:#4  0x08074ac3 in p2p_flush (p2p=p2p@entry=0x9b9b938) at ../src/p2p/p2p.c:2268
:        dev = <optimized out>
:        prev = <optimized out>
:#5  0x08074fa9 in p2p_deinit (p2p=0x9b9b938) at ../src/p2p/p2p.c:2249
:No locals.
:#6  0x0806f9fb in wpas_p2p_deinit_global (global=global@entry=0x9b866f8) at p2p_supplicant.c:2470
:        wpa_s = 0x0
:        tmp = <optimized out>
:#7  0x08103a7a in wpa_supplicant_deinit (global=global@entry=0x9b866f8) at wpa_supplicant.c:2776
:        i = <optimized out>
:#8  0x08051304 in main (argc=11, argv=0xbfd0d8e4) at main.c:281
:        c = <optimized out>
:        i = <optimized out>
:        ifaces = 0x9b86020
:        iface = <optimized out>
:        iface_count = 1
:        exitcode = 0
:        params = {daemonize = 0, wait_for_monitor = 0, pid_file = 0x9b86040 "/var/run/wpa_supplicant.pid", wpa_debug_level = 3, wpa_debug_show_keys = 0, wpa_debug_timestamp = 0, ctrl_interface = 0x0, dbus_ctrl_interface = 1, wpa_debug_file_path = 0xbfd0ded0 "/var/log/wpa_supplicant.log", wpa_debug_syslog = 0, override_driver = 0x0, override_ctrl_interface = 0x0, entropy_file = 0x0}
:        global = 0x9b866f8
:From        To          Syms Read   Shared Object Library
:0x48667490  0x48673714  Yes         /lib/libnl-3.so.200
:0x4867f890  0x486816d4  Yes         /lib/libnl-genl-3.so.200
:0x48482ad0  0x48483aec  Yes         /lib/libdl.so.2
:0x49103000  0x4913a6f4  Yes         /lib/libssl.so.10
:0x48e1ef80  0x48f08544  Yes         /lib/libcrypto.so.10
:0x48a7b7e0  0x48aab0b4  Yes         /lib/libdbus-1.so.3
:0x4848d6a0  0x48498e60  Yes         /lib/libpthread.so.0
:0x484d3920  0x484d743c  Yes         /lib/librt.so.1
:0x482e4f20  0x48424fec  Yes         /lib/libc.so.6
:0x484a9470  0x484c36d8  Yes         /lib/libm.so.6
:0x482ab850  0x482c3e87  Yes         /lib/ld-linux.so.2
:0x48fc2e90  0x48ff3434  Yes         /lib/libgssapi_krb5.so.2
:0x49024af0  0x490a7de4  Yes         /lib/libkrb5.so.3
:0x48f87f20  0x48f88ca4  Yes         /lib/libcom_err.so.2
:0x48f90b40  0x48fab224  Yes         /lib/libk5crypto.so.3
:0x487c86b0  0x487d6ea4  Yes         /lib/libresolv.so.2
:0x484de6e0  0x484eba7c  Yes         /lib/libz.so.1
:0x49001ee0  0x49007724  Yes         /lib/libkrb5support.so.0
:0x4900ed30  0x4900fa7c  Yes         /lib/libkeyutils.so.1
:0x4851b020  0x48531b64  Yes         /lib/libgcc_s.so.1
:0x484f98e0  0x4850bd94  Yes         /lib/libselinux.so.1
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0x8108fc0	135303104
:ecx            0xff76bbe9	-8995863
:edx            0x9b8c2f8	163103480
:ebx            0x9b8a4d8	163095768
:esp            0xbfd0d6fc	0xbfd0d6fc
:ebp            0xbfd0d848	0xbfd0d848
:esi            0x9b9b938	163166520
:edi            0x9b86020	163078176
:eip            0xff76bbe9	0xff76bbe9
:eflags         0x210282	[ SF IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:No function contains program counter for selected frame.
Comment 1 omar 2012-12-02 16:41:34 EST
Created attachment 656243 [details]
File: environ
Comment 2 omar 2012-12-02 16:41:36 EST
Created attachment 656244 [details]
File: limits
Comment 3 omar 2012-12-02 16:41:39 EST
Created attachment 656245 [details]
File: cgroup
Comment 4 omar 2012-12-02 16:41:42 EST
Created attachment 656246 [details]
File: smolt_data
Comment 5 omar 2012-12-02 16:41:44 EST
Created attachment 656247 [details]
File: executable
Comment 6 omar 2012-12-02 16:41:47 EST
Created attachment 656248 [details]
File: maps
Comment 7 omar 2012-12-02 16:41:50 EST
Created attachment 656249 [details]
File: build_ids
Comment 8 omar 2012-12-02 16:41:52 EST
Created attachment 656250 [details]
File: proc_pid_status
Comment 9 omar 2012-12-02 16:41:54 EST
Created attachment 656251 [details]
File: open_fds
Comment 10 Fedora End Of Life 2013-07-03 18:05:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 19:42:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.